type Query {
    ping: String
    apiKeys(filter: [ApiKeyFilter], sort: [ApiKeySort], skip: Int, take: Int): ApiKeyResult

    permissions(filter: [PermissionFilter], sort: [PermissionSort], skip: Int, take: Int): PermissionResult
    roles(filter: [RoleFilter], sort: [RoleSort], skip: Int, take: Int): RoleResult

    users(filter: [UserFilter], sort: [UserSort], skip: Int, take: Int): UserResult
    user: User
    userHasPermission(permission: String!): Boolean
    userHasAnyPermission(permissions: [String]!): Boolean
    notExistingUsersFromKeycloak: KeycloakUserResult

    domains(filter: [DomainFilter], sort: [DomainSort], skip: Int, take: Int): DomainResult
    groups(filter: [GroupFilter], sort: [GroupSort], skip: Int, take: Int): GroupResult
    shortUrls(filter: [ShortUrlFilter], sort: [ShortUrlSort], skip: Int, take: Int): ShortUrlResult
}